Skip to main content

Models

Base URL: https://app.neuroflash.com/api/ds-prototypes

List available AI models for content generation.

Get Available Models

GET/models

Example

curl "https://app.neuroflash.com/api/ds-prototypes/models" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "x-workspace-id: YOUR_WORKSPACE_ID"

Response:

[
{
"id": "gpt-4.1",
"name": "string",
"short_name": "string",
"provider": "anthropic",
"description": "string",
"allowed_params": [
"temperature",
"max_tokens"
],
"region": {},
"hosting": "azure",
"context_window": 128000,
"available": false,
"allowed": false,
"chat_params": {
"temperature": {},
"reasoning_effort": {}
},
"reasoning_model": false,
"tool_support": false,
"priority": 1,
"show_new_hint": false,
"app_release_date": 0,
"model_release_date": 0
}
]